import PrivateClient from '../../clients/types/privateClient';
import ChannelBase from '../channelBase';

var logger = require('../../logger');

class PrivateChannel extends ChannelBase {
  broadcastMessage(from: PrivateClient, message: any) {
    for (let client of this.clients) {
      if (client != from && client.data.user_type != from.data.user_type) {
        console.log('sending message: ' + JSON.stringify(message))
        client.ws.send(JSON.stringify(message));
        logger.accessLog.info(`sent to ${client.id}`, { data: { message: message }});
      } else {
        logger.accessLog.info(`client is either just a broadcaster or is the sender: ${client.id}`, { data: { message: message }});
      }
    }

    return {'status': 'success', 'message': `message broadcast complete`};
  }
};

module.exports = PrivateChannel;
export default PrivateChannel;
